import { request } from '@/api/_service'

const BASE = 'spc/manager/'

function apiParams (data = {}, method = 'get.spc.all') {
  return { method, platform: 'admin', ...data }
}

export function getSpcConfigAll (data = {}) {
  return request({
    url: BASE + 'all',
    method: 'get',
    params: apiParams(data, 'get.spc.all')
  })
}

export function getNodeSubgroupSamplesData (data = {}) {
  return request({
    baseURL: process.env.VUE_APP_HSLSERVER_API,
    url: '',
    method: 'post',
    data
  })
}
